/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * Copyright (C) 2024 KylinSoft  Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */
#include <gtest/gtest.h>
#include <gtest/gtest-death-test.h>
#include <QDebug>

#include "../../plugins/component/FixLabel/fixlabel.h"

#include "stubext.h"
using namespace stub_ext;


class FixLabelTest : public testing::Test
{
protected:
    static void SetUpTestSuite()
    {
        m_pFixLabelTest = new FixLabel();
    }

    static void TearDownTestSuite()
    {
        if (m_pFixLabelTest) {
            delete m_pFixLabelTest;
            m_pFixLabelTest = nullptr;
        }
    }
    static FixLabel *m_pFixLabelTest;
};

FixLabel *FixLabelTest::m_pFixLabelTest = nullptr;

TEST_F(FixLabelTest, testAllFunc)
{
    m_pFixLabelTest->setLabelText("test");
    QString str = m_pFixLabelTest->getText();
    //增加判断
    qDebug() << str;
    m_pFixLabelTest->changedLabelSlot();
}
